import req from '@/request.js'
const portal = window.context.portal
export default {
    // 企业银行实时余额
    companyPlanData(data,cb) {
        req.post(portal + `/qf/money/statistical/companyPlanData`, data).then(res => {
            cb(res.data)
        })
    },
	//资金池公司银行实时余额
	poolPlanData(data,cb) {
	    req.post(portal + `/qf/money/statistical/poolPlanData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//集团银行实时余额
	groupPlanData(data,cb) {
        req.post(portal + `/qf/money/statistical/groupPlanData`, data).then(res => {
            cb(res.data)
        })
    },
	//SG-各子公司季度趋势
	companyQuarterData(data,cb) {
	    req.post(portal + `/qf/money/statistical/companyQuarterData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//SG-各子公司年度趋势
	companyYearData(data,cb) {
	    req.post(portal + `/qf/money/statistical/companyYearData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//CQLT-SG内保外贷季度趋势
	cqltSgQuarterData(data,cb) {
	    req.post(portal + `/qf/money/statistical/cqltSgQuarterData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//CQLT-SG内保外贷年度趋势
	cqltSgYearData(data,cb) {
	    req.post(portal + `/qf/money/statistical/cqltSgYearData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//SG自主融资季度趋势
	sgQuarterData(data,cb) {
	    req.post(portal + `/qf/money/statistical/sgQuarterData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//SG自主融资年度趋势
	sgYearData(data,cb) {
	    req.post(portal + `/qf/money/statistical/sgYearData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//中国区公司银行实时余额
	chinaCompanyData(data,cb){
	    req.post(portal + `/qf/money/statistical/chinaCompanyData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//所有企业
	getAreaTree(data,cb) {
	    req.post(portal + `/qfEnterpriseInfo/v1/getAreaTree`, data).then(res => {
	        cb(res.data)
	    })
	},
	
	/*资产负债*/
	//获取一级数据
	oneLevelData(data,cb) {
	    req.post(portal + `/qf/money/statistical/oneLevelData`, data).then(res => {
	        cb(res.data)
	    })
	},
	fromUnderData(data,cb) {
	    req.post(portal + `/qf/money/statistical/fromUnderData`, data).then(res => {
	        cb(res.data)
	    })
	},
}
